### Method

# Gtk NativeDialogdestroy

#### Declaration [src]

    void
    gtk_native_dialog_destroy (
      GtkNativeDialog* self
    )

#### Description [src]

Destroys a dialog.

When a dialog is destroyed, it will break any references it holds to other objects.

If it is visible it will be hidden and any underlying window system resources will be destroyed.

Note that this does not release any reference to the object (as opposed to destroying a `GtkWindow`) because there is no reference from the windowing system to the `GtkNativeDialog`.